Bug Hunting Session
Bug 39215 - DRAW,IMPRESS: Printout from paper size "Screen" chopped off top, left (and bottom wit unchecked "fit to printable ...)
Summary: DRAW,IMPRESS: Printout from paper size "Screen" chopped off top, left (and bo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2011-07-13 22:48 UTC by hmoi
Modified: 2018-03-15 09:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file for reproducing (56.41 KB, application/vnd.oasis.opendocument.presentation)
2011-07-26 21:22 UTC, hmoi
Details
demo of chopped off part (44.18 KB, image/png)
2011-07-27 23:17 UTC, Yifan Jiang
Details
The scanning of the printout paper. (403.09 KB, application/x-download)
2011-07-27 23:18 UTC, Yifan Jiang
Details
my expected result which has the Top, Left and Bottom (400.48 KB, application/x-zl-download)
2011-08-01 01:24 UTC, hmoi
Details
hmoi's_result_with_Rainer's_caseA.pdf (378.41 KB, application/x-zl-download)
2011-08-01 01:25 UTC, hmoi
Details
the preview area of Impress Print dialog (35.50 KB, image/png)
2011-08-01 01:36 UTC, hmoi
Details
My test document (64.19 KB, application/vnd.oasis.opendocument.presentation)
2011-08-01 08:10 UTC, Rainer Bielefeld Retired
Details
Printed using PDFcreator (7.43 KB, application/pdf)
2013-06-17 10:10 UTC, ign_christian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hmoi 2011-07-13 22:48:20 UTC
[Windows XP SP3,  LibreOffice 3.3.3 OOO330m19 Build:301 tag libreoffice-3.3.3.1, Impress]

I can print out an odp file when I use with OOo321 Impress, normally, without chopped off. 
When I print out the file using LibreO333 as same way as OOo321, the printout is chopped off top and left.

<Printer Information>
Printer name:FujiZerox DocuPrint360
Printer setting as bellow (confirmed via LibreO menu - File - Printer settings - Propereties):
  Paper size:A4
  Printout size: same as Paper size
  Margin:left/top/right/bottom: 4.6mm  (this margin is default setting)
  Binding Margin:none

<Reproduce steps>

1: Create new odp file usig with OOo321 Impress.
  1-1:Set some object for covering the entire of layout area.
      *Put any object on the upper left cornaer, it make easy to clarify the problem point.

  1-2:Remaing the setting as default, [Format]-[Page]-Page tab settings. 
      The default settings are as bellow:
         Page format: Format : Screen 
         Margins:Left:0.00cm、Right:0.00cm、Top:0.00cm、Bottom:0.00cm
         Fit object to paper format:Selected:ON

2: Cinfirm the setting to Print.
  2-1:[File]-[Print]-[Options](Not Properties)
      Page options:Default

3: Print
  3-1:[File]-[Print]-[OK]

4: Confirm the printout
  4-1: Confirm that the top and left of printout is printed out normally without chopped off.

==> This output is desired and familiar result.

5: Open the same odp file which you created in step 1 using Impress333.
  5-1: Confirm that the Format settings are same as above step 1-2.

6: Confirm that the option setting of Print.
  6-1:[File]-[Print]-[LibreOffice Impress] tab
      Size:Original size

7: Print
  7-1:[File]-[Print]-[OK]

8: Confirm the printout
  8-1: Is the printout chopped of top and left, isn't it?

*In the Print Prevew area, it is diplayed normally, without chopped-off.

==> In this case, in spite of same settings of page format(as Screen) and print page option as 1-2 and 2-1, I wonder why LibreO333 print out chopped off top and left?
I expected that I would get same result output as using OOo321(4-1).
IS there something wrong with NEW OOO33x and LibreO3x printing method?
Would you please examine this issue?

If you need more explanation, please tell me, I will try it with my pleasure.

The attached sample file make easy to you to identify on the top and left conrner.
Comment 1 hmoi 2011-07-26 18:40:47 UTC
Hi,

I wonder if someone could or could not reproduce this issue.
If someone tried to reproduce this issue, would you let me know the status?
If you need more any information, could you tell me, I will try more.
I always appreciate your help!
Comment 2 hmoi 2011-07-26 21:22:38 UTC
Created attachment 49595 [details]
sample file for reproducing
Comment 3 Yifan Jiang 2011-07-27 23:17:19 UTC
Created attachment 49648 [details]
demo of chopped off part
Comment 4 Yifan Jiang 2011-07-27 23:18:05 UTC
Created attachment 49649 [details]
The scanning of the printout paper.
Comment 5 Yifan Jiang 2011-07-27 23:18:33 UTC
I am able to reproduce it with:

  libreoffice 3.4.2.2 / SLED 11 sp1 i586 / printer FX ApeosPort 550 I PS

What I did to see the problem:

  1. Open the attached sample file with libreoffice Impress
  2. File -> Print
  3. Select a printer and click the 'Properties' button
  4. In the popout dialog, select 'A4' as a 'Paper Size'
  5. Select 'Size:Original size' in Impress tab of the printing dialog
  6. Click Print button

=> The printing result looks similar as that shown in the display, but the
three edges are cut a bit:

      Left edge
      Top edge
      Bottom edge

- A picture to show the 'diff' between printout and original slide is attached (chopped-part.png)

- A PDF of scanning the printout result is attached (scan-of-printing.pdf)
Comment 6 hmoi 2011-07-28 02:38:19 UTC
Hi Yifan, 

Thank you very much for your help.
I noticed I did overlook to hear that your result:


>   the three edges are cut a bit:
>
>      Left edge
>      Top edge
>      Bottom edge

I did overlook the "Bottom edged".


I also reproduced on Ubuntu 11.04 ,with LibreOffice 3.3.3 and 3.4.0.
And I got same result as yours and my windows'.

In any of these cases, When I put out via "Export as PDF", all output .pdf files are OK, without any problem.
Comment 7 Kohei Yoshida 2011-07-28 08:57:44 UTC
With this info, I'll give this to Thorsten.
Comment 8 hmoi 2011-07-28 22:01:54 UTC
I would like to nominate "Bug 39215 - Be the printer's setting ignored? The printout be chopped off top, left and bottom."

When print an odp file which was made with default FORMAT settings and default PRINT settings, the printing result looks similar as that shown in the display, but the three edges are cut a bit.

Without this amendment, it will be difficult to switch to LibreOffice from OpenOffice.org and/or another office tool.
Comment 9 Rainer Bielefeld Retired 2011-07-29 02:01:38 UTC
I did some tests with "LibreOffice 3.4.1 RC3 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]" and HP OJ 6110. I can reproduce the observations, and may be I can confirm a but, but report and comments are not clear enough to decide.

Comment 5 seems not to be a confirmation for a bug, but only a confirmation that the observations were reproducible.

My tests
a) Menu 'File -> Print -> Impress - Size = "Fit to Printable Page" works fine for me, when selected no parts of the contents will be cropped if that's selected.

b) Menu 'Tools -> Options -> Impress -> Print -> Page Options = "Fit to Page" DOES NOT work for me. When I start print and look in Tab "Impress", still "Original size" is selected, bust should show "Fit to Printable Page".

c) Menu 'File Printer Settings -> Printer Properties ->  "Fit to Printable Page" also does not work for me, when selected size of contents is a little smaller on the page, but still parts are cropped. But I think this might be a printer driver problem.

So b) is a bug, and it's not limited to IMPRESS, also visible in DRAW.

I modified Subject line to my results and removed assignation until clarification.

@Yifan, @hmoi
Can you confirm my results an my summary? The simple questions are:
A) Can you confirm ignored preference?
B) That's the problem from original report?

@hmoi:
Currently it seems that there is a simple workaround "Select 'Fit to paper size' when print", so this is not a "Most annoying" one.
When you want to nominate a bug please tell reasons in Bug 35673, not in the nominated bug.
Comment 10 Rainer Bielefeld Retired 2011-07-29 02:23:37 UTC Comment hidden (obsolete)
Comment 11 Rainer Bielefeld Retired 2011-07-31 23:50:49 UTC Comment hidden (obsolete)
Comment 12 hmoi 2011-08-01 01:24:35 UTC
Created attachment 49776 [details]
my expected result which has the Top, Left and Bottom
Comment 13 hmoi 2011-08-01 01:24:57 UTC
Thank you for your help and clarification.

About Rainer's Test a)

I hope you don't mind my asking again, could you please confirm again wether the Top and Left area are printed out without cut of, in your test case a).
In my output, Top and Left areas are cut off, the Bottom area is printed without cut, in your test case a.
Could you please compare yours and mine?
(My attached file:hmoi's_result_with_Rainer's_caseA.pdf)
Comment 14 hmoi 2011-08-01 01:25:54 UTC
Created attachment 49777 [details]
hmoi's_result_with_Rainer's_caseA.pdf
Comment 15 hmoi 2011-08-01 01:29:44 UTC
About Rainer's Test c)

> But I think this might be a printer driver problem.

I wonder why OOo321 could print the same odp file without cut off, with same fomat/print/option settings and from the same printer.
Comment 16 hmoi 2011-08-01 01:35:46 UTC
About Rainer's question A)

I wonder how do you set up both of the Screen size in Page format and the A4 size in Print dialog?

In my test :

Format -> Page -> Page tab -> Page format
   Format:Screen
   Width:11.02”
   Height:8.27”

In the preview area of Impress Print dialog, (A4) 11.69in x 8.27in.
(See attatced file:print_dialog.png)

Screen size(11.02" x 8.27") < Printer's A4 size 11.69in x 8.27in

The size of Screen in Page format is  smaller than the the size of A4 in Print dialog.
Nevertheless, why the top, left, bottom are cut off?

Nevertheless, why reduce the height and width size?
Additionally, why was the top and left cut off, in spite of resizing/reducing the size?

About Rainer's question B)

I'm afraid I don't follow what you are saying,,, 
This problem occures whether create new one in LO 341 or existing file which was created previous OOo version(example OOo321).

If I misunderstand what you meant, could you please ask me again.

Thank you very much your help, again.
Comment 17 hmoi 2011-08-01 01:36:38 UTC
Created attachment 49778 [details]
the preview area of Impress Print dialog
Comment 18 Kohei Yoshida 2011-08-01 07:08:39 UTC
(In reply to comment #9)

> My tests
> a) Menu 'File -> Print -> Impress - Size = "Fit to Printable Page" works fine
> for me, when selected no parts of the contents will be cropped if that's
> selected.

This is not the case for me.  Even when I select "Fit to printable page", the top and left parts are incorrectly cropped.  According to the reporter this used to work fine until 3.2.1.
Comment 19 Rainer Bielefeld Retired 2011-08-01 08:10:03 UTC
Created attachment 49791 [details]
My test document

Strange thing. Just now I can not reproduce my results from yesterday, top left border always is cropped, also with "fit to printable area". Currently I still see a difference between with 'File -> Print -> Impress - Size = "Fit to Printable Page"' and without, the right margin and bottom margin are different (as expected from preview). But top left corder always it's cropped.

I fished my prints from the waste paper basket, it looked perfect as it should, and I had a reproducible difference between with "fit to printable area" and without.

Might be that a side effect of my work with various OOo and LibO versions, sometimes open in time? Until now I never saw interferences because I use separate AppData.

What ever that might mean:
My OOo-dev 3.2 I used for comparison today never cropped. The default setting is "Fit to page", and I see no difference with or without "Fit to page"

My result today:
I can confirm reporter's observations in all details. 
The Options settings issue I observe seems to be something completely different.
Comment 20 hmoi 2011-08-01 18:22:49 UTC
I am terribly sorry that my sample file was difficult to determine what the problem point.
I really appreciate you taking the time to respond to this issue.
Please let me know if there is any further information you need. 

I want to thank you in advance.
Comment 21 Rainer Bielefeld Retired 2011-08-01 22:44:51 UTC
Modified subject due to latest results (= original report).
Filed new "Bug 39742 - DRAW, IMPRESS: Menu 'Tools-Options-DRAW-Print' settings not respected" for my results during investigations 

@hmoi: 
Your document was ok, I only added those rulers because the effect did not happen during my tests and I was searching for some "micro effects"
Comment 22 hmoi 2011-08-07 17:40:00 UTC
Rainer,
Thank you very much for your repeated tests and help.
Comment 23 ign_christian 2013-06-17 10:10:16 UTC
Created attachment 80942 [details]
Printed using PDFcreator

Confirm it's printed correctly using PDFcreator & LO 4.0.4.2 (Win7 32bit) with original size (disabling fit to printable page). 

I don't know what is the output using real printer (regardless printer capability to  do borderless printing)
Comment 24 Thorsten Behrens (CIB) 2013-09-12 16:14:53 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 25 hmoi 2014-01-08 07:58:09 UTC
in 4.2.0.1 still reproducible.
Comment 26 Joel Madero 2015-05-02 15:44:30 UTC Comment hidden (obsolete)
Comment 27 QA Administrators 2016-09-20 09:38:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920